glibmm 2.4: Glib::Container_Helpers::ArrayHandleIterator< Tr > Class Template Reference

Main Page Widgets glibmm Namespaces Book

# Glib::Container_Helpers::ArrayHandleIterator< Tr > Class Template Reference
[Helper classes]

List of all members.

## Public Types
typedef Tr::CppType | CppType
typedef Tr::CType | CType
typedef std::random_access_iterator_tag | iterator_category
typedef CppType | value_type
typedef ptrdiff_t | difference_type
typedef value_type | reference
typedef void | pointer
## Public Member Functions
| ArrayHandleIterator (const CType* pos)
value_type | operator* () const
value_type | operator[] (difference_type offset) const
ArrayHandleIterator<Tr>& | operator++ ()
const ArrayHandleIterator< Tr > | operator++ (int)
ArrayHandleIterator<Tr>& | operator+= (difference_type rhs)
ArrayHandleIterator<Tr>& | operator-= (difference_type rhs)
const ArrayHandleIterator< Tr > | operator+ (difference_type rhs) const
const ArrayHandleIterator< Tr > | operator- (difference_type rhs) const
difference_type | operator- (const ArrayHandleIterator<Tr>& rhs) const
bool | operator== (const ArrayHandleIterator<Tr>& rhs) const
bool | operator!= (const ArrayHandleIterator<Tr>& rhs) const
bool | operator< (const ArrayHandleIterator<Tr>& rhs) const
bool | operator> (const ArrayHandleIterator<Tr>& rhs) const
bool | operator<= (const ArrayHandleIterator<Tr>& rhs) const
bool | operator>= (const ArrayHandleIterator<Tr>& rhs) const

### template <class Tr>
class Glib::Container_Helpers::ArrayHandleIterator< Tr >

## Member Typedef Documentation

template <class Tr>

typedef Tr::CppType Glib::Container_Helpers::ArrayHandleIterator<Tr>::CppType

template <class Tr>

typedef Tr::CType Glib::Container_Helpers::ArrayHandleIterator<Tr>::CType

template <class Tr>

typedef std::random_access_iterator_tag Glib::Container_Helpers::ArrayHandleIterator<Tr>::iterator_category

template <class Tr>

typedef CppType Glib::Container_Helpers::ArrayHandleIterator<Tr>::value_type

template <class Tr>

typedef ptrdiff_t Glib::Container_Helpers::ArrayHandleIterator<Tr>::difference_type

template <class Tr>

typedef value_type Glib::Container_Helpers::ArrayHandleIterator<Tr>::reference

template <class Tr>

typedef void Glib::Container_Helpers::ArrayHandleIterator<Tr>::pointer

## Constructor & Destructor Documentation

template <class Tr>

Glib::Container_Helpers::ArrayHandleIterator<Tr>::ArrayHandleIterator | ( | const CType* | pos | ) | `[inline, explicit]`

## Member Function Documentation

template <class Tr>

value_type Glib::Container_Helpers::ArrayHandleIterator<Tr>::operator* | ( |  | ) | const`[inline]`

template <class Tr>

value_type Glib::Container_Helpers::ArrayHandleIterator<Tr>::operator[] | ( | difference_type | offset | ) | const`[inline]`

template <class Tr>

ArrayHandleIterator<Tr>& Glib::Container_Helpers::ArrayHandleIterator<Tr>::operator++ | ( |  | ) | `[inline]`

template <class Tr>

const ArrayHandleIterator<Tr> Glib::Container_Helpers::ArrayHandleIterator<Tr>::operator++ | ( | int |  | ) | `[inline]`

template <class Tr>

ArrayHandleIterator<Tr>& Glib::Container_Helpers::ArrayHandleIterator<Tr>::operator+= | ( | difference_type | rhs | ) | `[inline]`

template <class Tr>

ArrayHandleIterator<Tr>& Glib::Container_Helpers::ArrayHandleIterator<Tr>::operator-= | ( | difference_type | rhs | ) | `[inline]`

template <class Tr>

const ArrayHandleIterator<Tr> Glib::Container_Helpers::ArrayHandleIterator<Tr>::operator+ | ( | difference_type | rhs | ) | const`[inline]`

template <class Tr>

const ArrayHandleIterator<Tr> Glib::Container_Helpers::ArrayHandleIterator<Tr>::operator- | ( | difference_type | rhs | ) | const`[inline]`

template <class Tr>

difference_type Glib::Container_Helpers::ArrayHandleIterator<Tr>::operator- | ( | const ArrayHandleIterator<Tr>& | rhs | ) | const`[inline]`

template <class Tr>

bool Glib::Container_Helpers::ArrayHandleIterator<Tr>::operator== | ( | const ArrayHandleIterator<Tr>& | rhs | ) | const`[inline]`

template <class Tr>

bool Glib::Container_Helpers::ArrayHandleIterator<Tr>::operator!= | ( | const ArrayHandleIterator<Tr>& | rhs | ) | const`[inline]`

template <class Tr>

bool Glib::Container_Helpers::ArrayHandleIterator<Tr>::operator< | ( | const ArrayHandleIterator<Tr>& | rhs | ) | const`[inline]`

template <class Tr>

bool Glib::Container_Helpers::ArrayHandleIterator<Tr>::operator> | ( | const ArrayHandleIterator<Tr>& | rhs | ) | const`[inline]`

template <class Tr>

bool Glib::Container_Helpers::ArrayHandleIterator<Tr>::operator<= | ( | const ArrayHandleIterator<Tr>& | rhs | ) | const`[inline]`

template <class Tr>

bool Glib::Container_Helpers::ArrayHandleIterator<Tr>::operator>= | ( | const ArrayHandleIterator<Tr>& | rhs | ) | const`[inline]`

The documentation for this class was generated from the following file:

- arrayhandle.h